From 740cb249e2935949cbcd29548ecf7fa5f67439d0 Mon Sep 17 00:00:00 2001
From: Joshua Kraemer <joshua@kraemer.link>
Date: Tue, 21 May 2019 22:01:25 +0200
Subject: [PATCH] New package: ctwm-4.0.2

---
 srcpkgs/ctwm/template | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100644 srcpkgs/ctwm/template

diff --git a/srcpkgs/ctwm/template b/srcpkgs/ctwm/template
new file mode 100644
index 00000000000..3be377a0355
--- /dev/null
+++ b/srcpkgs/ctwm/template
@@ -0,0 +1,33 @@
+# Template file for 'ctwm'
+pkgname=ctwm
+version=4.0.2
+revision=1
+build_style=cmake
+configure_args="
+	-DUSE_M4=$(vopt_if m4 ON OFF)
+	-DUSE_XPM=$(vopt_if xpm ON OFF)
+	-DUSE_JPEG=$(vopt_if jpeg ON OFF)
+	-DUSE_EWMH=$(vopt_if ewmh ON OFF)
+	-DUSE_RPLAY=$(vopt_if rplay ON OFF)
+	-DUSE_XRANDR=$(vopt_if xrandr ON OFF)"
+hostmakedepends="flex m4"
+makedepends="libX11-devel libXext-devel libXmu-devel libXt-devel libSM-devel libICE-devel libXpm-devel libXrandr-devel"
+depends="$(vopt_if m4 "m4")"
+short_desc="Claude's Tab Window Manager"
+maintainer="Joshua Krämer <joshua@kraemer.link>"
+license="MIT"
+homepage="https://ctwm.org"
+distfiles="https://ctwm.org/dist/ctwm-${version}.tar.xz"
+checksum=d4c97558c7eeebd11368d11cbe667706b9f12f2d253020f20b73d1cdd11c19aa
+
+build_options="m4 xpm jpeg ewmh rplay xrandr"
+build_options_default="m4 xpm ewmh xrandr"
+desc_option_m4="Use m4 to preprocess config files"
+desc_option_xpm="Enable support for XPM images"
+desc_option_ewmh="Enable support for EWMH"
+desc_option_rplay="Enable sound support via rplay"
+desc_option_xrandr="Enable multi-monitor support via xrandr"
+
+post_install() {
+	vlicense COPYRIGHT
+}
